## ros-humble-rviz-assimp-vendor 11.2.7

=== CMakeLists.txt ===
# lint_cmake: -readability/wonkycase
cmake_minimum_required(VERSION 3.5)

project(rviz_assimp_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build assimp from source, even if system-installed package is available"
  OFF)

find_package(ament_cmake REQUIRED)

# Avoid DOWNLOAD_EXTRACT_TIMESTAMP warning for CMake >= 3.24
if(POLICY CMP0135)
  cmake_policy(SET CMP0135 NEW)
endif()

macro(build_assimp)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(WIN32)
    # the /EHsc flag is needed to prevent warnings within the assimp build
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=/w /EHsc")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS} -std=c++14 -w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=${CMAKE_C_FLAGS} -w")
  endif()

  list(APPEND extra_cmake_args "-DASSIMP_BUILD_ASSIMP_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_SAMPLES=OFF")
  list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
  list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  ExternalProject_Add(assimp-4.1.0
    URL https://github.com/assimp/assimp/archive/v4.1.0.tar.gz
    URL_MD5 83b53a10c38d964bd1e69da0606e2727
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/assimp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/assimp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

# Override ON so that the following CMake logic in assimp 5.0.1 and older
# doesn't result in a CMake warning: if(ON)
#   https://github.com/ros2/rviz/issues/524
#   https://bugs.launchpad.net/ubuntu/+source/assimp/+bug/1869405
set(ON 1)

find_package(assimp QUIET)

if(FORCE_BUILD_VENDOR_PKG OR NOT assimp_FOUND OR "${assimp_VERSION}" VERSION_LESS 4.1.0)
  build_assimp()

  if(WIN32)
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\rviz_assimp_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/rviz_assimp_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.dsv.in)
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rviz_assimp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-humble-rviz-assimp-vendor (11.2.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.5-1jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.0-1jammy) jammy; urgency=high

  * Make sure to pass compiler and flags down to assimp (#844 <https://github.com/ros2/rviz/issues/844>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (11.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (10.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.1-1jammy) jammy; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-rviz-assimp-vendor (8.7.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.6.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.5.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.4.0-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Add an override flag to force vendored build (#642 <https://github.com/ros2/rviz/issues/642>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.0-1jammy) jammy; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-rviz-assimp-vendor (8.2.0-1jammy) jammy; urgency=high

  * Updated a hack to avoid CMake warning with assimp 5.0.1 and older, applying it cross platforms (#565 <https://github.com/ros2/rviz/issues/565>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.1-1jammy) jammy; urgency=high

  * Make rviz_assimp_vendor hack specific to Ubuntu Focal. (#536 <https://github.com/ros2/rviz/issues/536>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.0-1jammy) jammy; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Suppressed an upstream cmake warning in assimp. (#534 <https://github.com/ros2/rviz/issues/534>)
  * Contributors: William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-humble-rviz-assimp-vendor (7.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000



=== debian/control ===
Source: ros-humble-rviz-assimp-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
Homepage: http://assimp.sourceforge.net/index.html
Standards-Version: 3.9.2

Package: ros-humble-rviz-assimp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, ros-humble-ros-workspace
Description: Wrapper around assimp, providing nothing but a dependency on assimp, on some systems.
 On others, it provides a fixed CMake module or even an ExternalProject build of assimp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-assimp-vendor//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-assimp-vendor//opt/ros/humble/opt/rviz_assimp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-assimp-vendor 11.2.12

=== debian/changelog ===
ros-humble-rviz-assimp-vendor (11.2.12-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.11-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.10-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.9-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.8-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.7-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.6-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.5-1bookworm) bookworm; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.4-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.0-1bookworm) bookworm; urgency=high

  * Make sure to pass compiler and flags down to assimp (#844 <https://github.com/ros2/rviz/issues/844>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (10.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.1-1bookworm) bookworm; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.7.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.6.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.5.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.4.0-1bookworm) bookworm; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Add an override flag to force vendored build (#642 <https://github.com/ros2/rviz/issues/642>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.0-1bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.2.0-1bookworm) bookworm; urgency=high

  * Updated a hack to avoid CMake warning with assimp 5.0.1 and older, applying it cross platforms (#565 <https://github.com/ros2/rviz/issues/565>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.1-1bookworm) bookworm; urgency=high



## ros-humble-rviz-assimp-vendor 11.2.13

=== debian/changelog ===
ros-humble-rviz-assimp-vendor (11.2.13-2bookworm) bookworm; urgency=high

  * Migrate some security-related changes from iron to humble (#1238 <https://github.com/ros2/rviz/issues/1238>)
  * Contributors: xueying

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.12-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.11-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.10-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.9-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.8-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.7-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.6-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.5-2bookworm) bookworm; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.4-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.2-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.1.0-2bookworm) bookworm; urgency=high

  * Make sure to pass compiler and flags down to assimp (#844 <https://github.com/ros2/rviz/issues/844>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (11.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (10.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.1-2bookworm) bookworm; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (9.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.7.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.6.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.5.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.4.0-2bookworm) bookworm; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Add an override flag to force vendored build (#642 <https://github.com/ros2/rviz/issues/642>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.3.0-2bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.2.0-2bookworm) bookworm; urgency=high

  * Updated a hack to avoid CMake warning with assimp 5.0.1 and older, applying it cross platforms (#565 <https://github.com/ros2/rviz/issues/565>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-assimp-vendor (8.0.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000
